org.keycloak.models.jpa.entities

## Class RealmEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.RealmEntity

-     @Entity
      public class RealmEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `accessCodeLifespan`
    `protected int` | `accessCodeLifespanLogin`
    `protected int` | `accessCodeLifespanUserAction`
    `protected int` | `accessTokenLifespan`
    `protected int` | `accessTokenLifespanForImplicitFlow`
    `protected String` | `accountTheme`
    `protected boolean` | `adminEventsDetailsEnabled`
    `protected boolean` | `adminEventsEnabled`
    `protected String` | `adminTheme`
    `protected String` | `browserFlow`
    `protected String` | `clientAuthenticationFlow`
    `protected Set<String>` | `defaultGroupIds`
    `protected String` | `defaultLocale`
    `protected Set<String>` | `defaultRolesIds`
    `protected String` | `directGrantFlow`
    `protected String` | `dockerAuthenticationFlow`
    `protected boolean` | `duplicateEmailsAllowed`
    `protected boolean` | `editUsernameAllowed`
    `protected String` | `emailTheme`
    `protected boolean` | `enabled`
    `protected Set<String>` | `enabledEventTypes`
    `protected boolean` | `eventsEnabled`
    `protected long` | `eventsExpiration`
    `protected Set<String>` | `eventsListeners`
    `protected String` | `id`
    `protected List<IdentityProviderEntity>` | `identityProviders`
    `protected boolean` | `internationalizationEnabled`
    `protected String` | `loginTheme`
    `protected boolean` | `loginWithEmailAllowed`
    `protected String` | `masterAdminClient`
    `protected String` | `name`
    `protected int` | `notBefore`
    `protected String` | `otpPolicyAlgorithm`
    `protected int` | `otpPolicyDigits`
    `protected int` | `otpPolicyInitialCounter`
    `protected int` | `otpPolicyLookAheadWindow`
    `protected int` | `otpPolicyPeriod`
    `protected String` | `otpPolicyType`
    `protected String` | `passwordPolicy`
    `protected boolean` | `registrationAllowed`
    `protected boolean` | `registrationEmailAsUsername`
    `protected String` | `registrationFlow`
    `protected boolean` | `rememberMe`
    `protected String` | `resetCredentialsFlow`
    `protected boolean` | `resetPasswordAllowed`
    `protected Map<String,String>` | `smtpConfig`
    `protected String` | `sslRequired`
    `protected Set<String>` | `supportedLocales`
    `protected boolean` | `verifyEmail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIdentityProvider(IdentityProviderEntity entity)`
    `boolean` | `equals(Object o)`
    `int` | `getAccessCodeLifespan()`
    `int` | `getAccessCodeLifespanLogin()`
    `int` | `getAccessCodeLifespanUserAction()`
    `int` | `getAccessTokenLifespan()`
    `int` | `getAccessTokenLifespanForImplicitFlow()`
    `String` | `getAccountTheme()`
    `String` | `getAdminTheme()`
    `Collection<RealmAttributeEntity>` | `getAttributes()`
    `Collection<AuthenticationFlowEntity>` | `getAuthenticationFlows()`
    `Collection<AuthenticatorConfigEntity>` | `getAuthenticatorConfigs()`
    `String` | `getBrowserFlow()`
    `String` | `getClientAuthenticationFlow()`
    `Collection<ClientScopeEntity>` | `getClientScopes()`
    `Set<ComponentEntity>` | `getComponents()`
    `Set<String>` | `getDefaultGroupIds()`
    `String` | `getDefaultLocale()`
    `Set<String>` | `getDefaultRolesIds()`
    `String` | `getDirectGrantFlow()`
    `String` | `getDockerAuthenticationFlow()`
    `String` | `getEmailTheme()`
    `Set<String>` | `getEnabledEventTypes()`
    `long` | `getEventsExpiration()`
    `Set<String>` | `getEventsListeners()`
    `String` | `getId()`
    `Collection<IdentityProviderMapperEntity>` | `getIdentityProviderMappers()`
    `List<IdentityProviderEntity>` | `getIdentityProviders()`
    `String` | `getLoginTheme()`
    `String` | `getMasterAdminClient()`
    `String` | `getName()`
    `int` | `getNotBefore()`
    `int` | `getOfflineSessionIdleTimeout()`
    `String` | `getOtpPolicyAlgorithm()`
    `int` | `getOtpPolicyDigits()`
    `int` | `getOtpPolicyInitialCounter()`
    `int` | `getOtpPolicyLookAheadWindow()`
    `int` | `getOtpPolicyPeriod()`
    `String` | `getOtpPolicyType()`
    `String` | `getPasswordPolicy()`
    `Map<String,RealmLocalizationTextsEntity>` | `getRealmLocalizationTexts()`
    `int` | `getRefreshTokenMaxReuse()`
    `String` | `getRegistrationFlow()`
    `Collection<RequiredActionProviderEntity>` | `getRequiredActionProviders()`
    `Collection<RequiredCredentialEntity>` | `getRequiredCredentials()`
    `String` | `getResetCredentialsFlow()`
    `Map<String,String>` | `getSmtpConfig()`
    `String` | `getSslRequired()`
    `int` | `getSsoSessionIdleTimeout()`
    `int` | `getSsoSessionIdleTimeoutRememberMe()`
    `int` | `getSsoSessionMaxLifespan()`
    `int` | `getSsoSessionMaxLifespanRememberMe()`
    `Set<String>` | `getSupportedLocales()`
    `Collection<UserFederationMapperEntity>` | `getUserFederationMappers()`
    `List<UserFederationProviderEntity>` | `getUserFederationProviders()`
    `int` | `hashCode()`
    `boolean` | `isAdminEventsDetailsEnabled()`
    `boolean` | `isAdminEventsEnabled()`
    `boolean` | `isAllowUserManagedAccess()`
    `boolean` | `isDuplicateEmailsAllowed()`
    `boolean` | `isEditUsernameAllowed()`
    `boolean` | `isEnabled()`
    `boolean` | `isEventsEnabled()`
    `boolean` | `isInternationalizationEnabled()`
    `boolean` | `isLoginWithEmailAllowed()`
    `boolean` | `isRegistrationAllowed()`
    `boolean` | `isRegistrationEmailAsUsername()`
    `boolean` | `isRememberMe()`
    `boolean` | `isResetPasswordAllowed()`
    `boolean` | `isRevokeRefreshToken()`
    `boolean` | `isVerifyEmail()`
    `void` | `setAccessCodeLifespan(int accessCodeLifespan)`
    `void` | `setAccessCodeLifespanLogin(int accessCodeLifespanLogin)`
    `void` | `setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)`
    `void` | `setAccessTokenLifespan(int accessTokenLifespan)`
    `void` | `setAccessTokenLifespanForImplicitFlow(int accessTokenLifespanForImplicitFlow)`
    `void` | `setAccountTheme(String theme)`
    `void` | `setAdminEventsDetailsEnabled(boolean adminEventsDetailsEnabled)`
    `void` | `setAdminEventsEnabled(boolean adminEventsEnabled)`
    `void` | `setAdminTheme(String adminTheme)`
    `void` | `setAllowUserManagedAccess(boolean allowUserManagedAccess)`
    `void` | `setAttributes(Collection<RealmAttributeEntity> attributes)`
    `void` | `setAuthenticationFlows(Collection<AuthenticationFlowEntity> authenticationFlows)`
    `void` | `setAuthenticatorConfigs(Collection<AuthenticatorConfigEntity> authenticators)`
    `void` | `setBrowserFlow(String browserFlow)`
    `void` | `setClientAuthenticationFlow(String clientAuthenticationFlow)`
    `void` | `setClientScopes(Collection<ClientScopeEntity> clientScopes)`
    `void` | `setComponents(Set<ComponentEntity> components)`
    `void` | `setDefaultGroupIds(Set<String> defaultGroups)`
    `void` | `setDefaultLocale(String defaultLocale)`
    `void` | `setDefaultRolesIds(Set<String> defaultRolesIds)`
    `void` | `setDirectGrantFlow(String directGrantFlow)`
    `RealmEntity` | `setDockerAuthenticationFlow(String dockerAuthenticationFlow)`
    `void` | `setDuplicateEmailsAllowed(boolean duplicateEmailsAllowed)`
    `void` | `setEditUsernameAllowed(boolean editUsernameAllowed)`
    `void` | `setEmailTheme(String emailTheme)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setEnabledEventTypes(Set<String> enabledEventTypes)`
    `void` | `setEventsEnabled(boolean eventsEnabled)`
    `void` | `setEventsExpiration(long eventsExpiration)`
    `void` | `setEventsListeners(Set<String> eventsListeners)`
    `void` | `setId(String id)`
    `void` | `setIdentityProviderMappers(Collection<IdentityProviderMapperEntity> identityProviderMappers)`
    `void` | `setIdentityProviders(List<IdentityProviderEntity> identityProviders)`
    `void` | `setInternationalizationEnabled(boolean internationalizationEnabled)`
    `void` | `setLoginTheme(String theme)`
    `void` | `setLoginWithEmailAllowed(boolean loginWithEmailAllowed)`
    `void` | `setMasterAdminClient(String masterAdminClient)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setOfflineSessionIdleTimeout(int offlineSessionIdleTimeout)`
    `void` | `setOtpPolicyAlgorithm(String otpPolicyAlgorithm)`
    `void` | `setOtpPolicyDigits(int otpPolicyDigits)`
    `void` | `setOtpPolicyInitialCounter(int otpPolicyInitialCounter)`
    `void` | `setOtpPolicyLookAheadWindow(int otpPolicyLookAheadWindow)`
    `void` | `setOtpPolicyPeriod(int otpPolicyPeriod)`
    `void` | `setOtpPolicyType(String otpPolicyType)`
    `void` | `setPasswordPolicy(String passwordPolicy)`
    `void` | `setRealmLocalizationTexts(Map<String,RealmLocalizationTextsEntity> realmLocalizationTexts)`
    `void` | `setRefreshTokenMaxReuse(int revokeRefreshTokenCount)`
    `void` | `setRegistrationAllowed(boolean registrationAllowed)`
    `void` | `setRegistrationEmailAsUsername(boolean registrationEmailAsUsername)`
    `void` | `setRegistrationFlow(String registrationFlow)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setRequiredActionProviders(Collection<RequiredActionProviderEntity> requiredActionProviders)`
    `void` | `setRequiredCredentials(Collection<RequiredCredentialEntity> requiredCredentials)`
    `void` | `setResetCredentialsFlow(String resetCredentialsFlow)`
    `void` | `setResetPasswordAllowed(boolean resetPasswordAllowed)`
    `void` | `setRevokeRefreshToken(boolean revokeRefreshToken)`
    `void` | `setSmtpConfig(Map<String,String> smtpConfig)`
    `void` | `setSslRequired(String sslRequired)`
    `void` | `setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)`
    `void` | `setSsoSessionIdleTimeoutRememberMe(int ssoSessionIdleTimeoutRememberMe)`
    `void` | `setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)`
    `void` | `setSsoSessionMaxLifespanRememberMe(int ssoSessionMaxLifespanRememberMe)`
    `void` | `setSupportedLocales(Set<String> supportedLocales)`
    `void` | `setUserFederationMappers(Collection<UserFederationMapperEntity> userFederationMappers)`
    `void` | `setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)`
    `void` | `setVerifyEmail(boolean verifyEmail)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### enabled

          protected boolean enabled

    - #### sslRequired

          protected String sslRequired

    - #### registrationAllowed

          protected boolean registrationAllowed

    - #### registrationEmailAsUsername

          protected boolean registrationEmailAsUsername

    - #### verifyEmail

          protected boolean verifyEmail

    - #### resetPasswordAllowed

          protected boolean resetPasswordAllowed

    - #### loginWithEmailAllowed

          protected boolean loginWithEmailAllowed

    - #### duplicateEmailsAllowed

          protected boolean duplicateEmailsAllowed

    - #### rememberMe

          protected boolean rememberMe

    - #### passwordPolicy

          protected String passwordPolicy

    - #### otpPolicyType

          protected String otpPolicyType

    - #### otpPolicyAlgorithm

          protected String otpPolicyAlgorithm

    - #### otpPolicyInitialCounter

          protected int otpPolicyInitialCounter

    - #### otpPolicyDigits

          protected int otpPolicyDigits

    - #### otpPolicyLookAheadWindow

          protected int otpPolicyLookAheadWindow

    - #### otpPolicyPeriod

          protected int otpPolicyPeriod

    - #### editUsernameAllowed

          protected boolean editUsernameAllowed

    - #### accessTokenLifespan

          protected int accessTokenLifespan

    - #### accessTokenLifespanForImplicitFlow

          protected int accessTokenLifespanForImplicitFlow

    - #### accessCodeLifespan

          protected int accessCodeLifespan

    - #### accessCodeLifespanUserAction

          protected int accessCodeLifespanUserAction

    - #### accessCodeLifespanLogin

          protected int accessCodeLifespanLogin

    - #### notBefore

          protected int notBefore

    - #### loginTheme

          protected String loginTheme

    - #### accountTheme

          protected String accountTheme

    - #### adminTheme

          protected String adminTheme

    - #### emailTheme

          protected String emailTheme

    - #### smtpConfig

          protected Map<String,String> smtpConfig

    - #### defaultRolesIds

          protected Set<String> defaultRolesIds

    - #### defaultGroupIds

          protected Set<String> defaultGroupIds

    - #### eventsEnabled

          protected boolean eventsEnabled

    - #### eventsExpiration

          protected long eventsExpiration

    - #### eventsListeners

          protected Set<String> eventsListeners

    - #### enabledEventTypes

          protected Set<String> enabledEventTypes

    - #### adminEventsEnabled

          protected boolean adminEventsEnabled

    - #### adminEventsDetailsEnabled

          protected boolean adminEventsDetailsEnabled

    - #### masterAdminClient

          protected String masterAdminClient

    - #### identityProviders

          protected List<IdentityProviderEntity> identityProviders

    - #### browserFlow

          protected String browserFlow

    - #### registrationFlow

          protected String registrationFlow

    - #### directGrantFlow

          protected String directGrantFlow

    - #### resetCredentialsFlow

          protected String resetCredentialsFlow

    - #### clientAuthenticationFlow

          protected String clientAuthenticationFlow

    - #### dockerAuthenticationFlow

          protected String dockerAuthenticationFlow

    - #### internationalizationEnabled

          protected boolean internationalizationEnabled

    - #### supportedLocales

          protected Set<String> supportedLocales

    - #### defaultLocale

          protected String defaultLocale

  - ### Constructor Detail

    - #### RealmEntity

          public RealmEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getSslRequired

          public String getSslRequired()

    - #### setSslRequired

          public void setSslRequired(String sslRequired)

    - #### isRegistrationAllowed

          public boolean isRegistrationAllowed()

    - #### setRegistrationAllowed

          public void setRegistrationAllowed(boolean registrationAllowed)

    - #### isRegistrationEmailAsUsername

          public boolean isRegistrationEmailAsUsername()

    - #### setRegistrationEmailAsUsername

          public void setRegistrationEmailAsUsername(boolean registrationEmailAsUsername)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### isVerifyEmail

          public boolean isVerifyEmail()

    - #### setVerifyEmail

          public void setVerifyEmail(boolean verifyEmail)

    - #### isLoginWithEmailAllowed

          public boolean isLoginWithEmailAllowed()

    - #### setLoginWithEmailAllowed

          public void setLoginWithEmailAllowed(boolean loginWithEmailAllowed)

    - #### isDuplicateEmailsAllowed

          public boolean isDuplicateEmailsAllowed()

    - #### setDuplicateEmailsAllowed

          public void setDuplicateEmailsAllowed(boolean duplicateEmailsAllowed)

    - #### isResetPasswordAllowed

          public boolean isResetPasswordAllowed()

    - #### setResetPasswordAllowed

          public void setResetPasswordAllowed(boolean resetPasswordAllowed)

    - #### isEditUsernameAllowed

          public boolean isEditUsernameAllowed()

    - #### setEditUsernameAllowed

          public void setEditUsernameAllowed(boolean editUsernameAllowed)

    - #### isRevokeRefreshToken

          public boolean isRevokeRefreshToken()

    - #### setRevokeRefreshToken

          public void setRevokeRefreshToken(boolean revokeRefreshToken)

    - #### getRefreshTokenMaxReuse

          public int getRefreshTokenMaxReuse()

    - #### setRefreshTokenMaxReuse

          public void setRefreshTokenMaxReuse(int revokeRefreshTokenCount)

    - #### getSsoSessionIdleTimeout

          public int getSsoSessionIdleTimeout()

    - #### setSsoSessionIdleTimeout

          public void setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)

    - #### getSsoSessionMaxLifespan

          public int getSsoSessionMaxLifespan()

    - #### setSsoSessionMaxLifespan

          public void setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)

    - #### getSsoSessionIdleTimeoutRememberMe

          public int getSsoSessionIdleTimeoutRememberMe()

    - #### setSsoSessionIdleTimeoutRememberMe

          public void setSsoSessionIdleTimeoutRememberMe(int ssoSessionIdleTimeoutRememberMe)

    - #### getSsoSessionMaxLifespanRememberMe

          public int getSsoSessionMaxLifespanRememberMe()

    - #### setSsoSessionMaxLifespanRememberMe

          public void setSsoSessionMaxLifespanRememberMe(int ssoSessionMaxLifespanRememberMe)

    - #### getOfflineSessionIdleTimeout

          public int getOfflineSessionIdleTimeout()

    - #### setOfflineSessionIdleTimeout

          public void setOfflineSessionIdleTimeout(int offlineSessionIdleTimeout)

    - #### getAccessTokenLifespan

          public int getAccessTokenLifespan()

    - #### setAccessTokenLifespan

          public void setAccessTokenLifespan(int accessTokenLifespan)

    - #### getAccessTokenLifespanForImplicitFlow

          public int getAccessTokenLifespanForImplicitFlow()

    - #### setAccessTokenLifespanForImplicitFlow

          public void setAccessTokenLifespanForImplicitFlow(int accessTokenLifespanForImplicitFlow)

    - #### getAccessCodeLifespan

          public int getAccessCodeLifespan()

    - #### setAccessCodeLifespan

          public void setAccessCodeLifespan(int accessCodeLifespan)

    - #### getAccessCodeLifespanUserAction

          public int getAccessCodeLifespanUserAction()

    - #### setAccessCodeLifespanUserAction

          public void setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)

    - #### getAccessCodeLifespanLogin

          public int getAccessCodeLifespanLogin()

    - #### setAccessCodeLifespanLogin

          public void setAccessCodeLifespanLogin(int accessCodeLifespanLogin)

    - #### getRequiredCredentials

          public Collection<RequiredCredentialEntity> getRequiredCredentials()

    - #### setRequiredCredentials

          public void setRequiredCredentials(Collection<RequiredCredentialEntity> requiredCredentials)

    - #### getSmtpConfig

          public Map<String,String> getSmtpConfig()

    - #### setSmtpConfig

          public void setSmtpConfig(Map<String,String> smtpConfig)

    - #### getDefaultRolesIds

          public Set<String> getDefaultRolesIds()

    - #### setDefaultRolesIds

          public void setDefaultRolesIds(Set<String> defaultRolesIds)

    - #### getDefaultGroupIds

          public Set<String> getDefaultGroupIds()

    - #### setDefaultGroupIds

          public void setDefaultGroupIds(Set<String> defaultGroups)

    - #### getPasswordPolicy

          public String getPasswordPolicy()

    - #### setPasswordPolicy

          public void setPasswordPolicy(String passwordPolicy)

    - #### getLoginTheme

          public String getLoginTheme()

    - #### setLoginTheme

          public void setLoginTheme(String theme)

    - #### getAccountTheme

          public String getAccountTheme()

    - #### setAccountTheme

          public void setAccountTheme(String theme)

    - #### getAdminTheme

          public String getAdminTheme()

    - #### setAdminTheme

          public void setAdminTheme(String adminTheme)

    - #### getEmailTheme

          public String getEmailTheme()

    - #### setEmailTheme

          public void setEmailTheme(String emailTheme)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### isEventsEnabled

          public boolean isEventsEnabled()

    - #### setEventsEnabled

          public void setEventsEnabled(boolean eventsEnabled)

    - #### getEventsExpiration

          public long getEventsExpiration()

    - #### setEventsExpiration

          public void setEventsExpiration(long eventsExpiration)

    - #### getEventsListeners

          public Set<String> getEventsListeners()

    - #### setEventsListeners

          public void setEventsListeners(Set<String> eventsListeners)

    - #### getEnabledEventTypes

          public Set<String> getEnabledEventTypes()

    - #### setEnabledEventTypes

          public void setEnabledEventTypes(Set<String> enabledEventTypes)

    - #### isAdminEventsEnabled

          public boolean isAdminEventsEnabled()

    - #### setAdminEventsEnabled

          public void setAdminEventsEnabled(boolean adminEventsEnabled)

    - #### isAdminEventsDetailsEnabled

          public boolean isAdminEventsDetailsEnabled()

    - #### setAdminEventsDetailsEnabled

          public void setAdminEventsDetailsEnabled(boolean adminEventsDetailsEnabled)

    - #### getMasterAdminClient

          public String getMasterAdminClient()

    - #### setMasterAdminClient

          public void setMasterAdminClient(String masterAdminClient)

    - #### getUserFederationProviders

          public List<UserFederationProviderEntity> getUserFederationProviders()

    - #### setUserFederationProviders

          public void setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)

    - #### getUserFederationMappers

          public Collection<UserFederationMapperEntity> getUserFederationMappers()

    - #### setUserFederationMappers

          public void setUserFederationMappers(Collection<UserFederationMapperEntity> userFederationMappers)

    - #### getAttributes

          public Collection<RealmAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(Collection<RealmAttributeEntity> attributes)

    - #### getIdentityProviders

          public List<IdentityProviderEntity> getIdentityProviders()

    - #### setIdentityProviders

          public void setIdentityProviders(List<IdentityProviderEntity> identityProviders)

    - #### addIdentityProvider

          public void addIdentityProvider(IdentityProviderEntity entity)

    - #### isInternationalizationEnabled

          public boolean isInternationalizationEnabled()

    - #### setInternationalizationEnabled

          public void setInternationalizationEnabled(boolean internationalizationEnabled)

    - #### getSupportedLocales

          public Set<String> getSupportedLocales()

    - #### setSupportedLocales

          public void setSupportedLocales(Set<String> supportedLocales)

    - #### getDefaultLocale

          public String getDefaultLocale()

    - #### setDefaultLocale

          public void setDefaultLocale(String defaultLocale)

    - #### getIdentityProviderMappers

          public Collection<IdentityProviderMapperEntity> getIdentityProviderMappers()

    - #### setIdentityProviderMappers

          public void setIdentityProviderMappers(Collection<IdentityProviderMapperEntity> identityProviderMappers)

    - #### getAuthenticatorConfigs

          public Collection<AuthenticatorConfigEntity> getAuthenticatorConfigs()

    - #### setAuthenticatorConfigs

          public void setAuthenticatorConfigs(Collection<AuthenticatorConfigEntity> authenticators)

    - #### getRequiredActionProviders

          public Collection<RequiredActionProviderEntity> getRequiredActionProviders()

    - #### setRequiredActionProviders

          public void setRequiredActionProviders(Collection<RequiredActionProviderEntity> requiredActionProviders)

    - #### getAuthenticationFlows

          public Collection<AuthenticationFlowEntity> getAuthenticationFlows()

    - #### setAuthenticationFlows

          public void setAuthenticationFlows(Collection<AuthenticationFlowEntity> authenticationFlows)

    - #### getComponents

          public Set<ComponentEntity> getComponents()

    - #### setComponents

          public void setComponents(Set<ComponentEntity> components)

    - #### getOtpPolicyType

          public String getOtpPolicyType()

    - #### setOtpPolicyType

          public void setOtpPolicyType(String otpPolicyType)

    - #### getOtpPolicyAlgorithm

          public String getOtpPolicyAlgorithm()

    - #### setOtpPolicyAlgorithm

          public void setOtpPolicyAlgorithm(String otpPolicyAlgorithm)

    - #### getOtpPolicyInitialCounter

          public int getOtpPolicyInitialCounter()

    - #### setOtpPolicyInitialCounter

          public void setOtpPolicyInitialCounter(int otpPolicyInitialCounter)

    - #### getOtpPolicyDigits

          public int getOtpPolicyDigits()

    - #### setOtpPolicyDigits

          public void setOtpPolicyDigits(int otpPolicyDigits)

    - #### getOtpPolicyLookAheadWindow

          public int getOtpPolicyLookAheadWindow()

    - #### setOtpPolicyLookAheadWindow

          public void setOtpPolicyLookAheadWindow(int otpPolicyLookAheadWindow)

    - #### getOtpPolicyPeriod

          public int getOtpPolicyPeriod()

    - #### setOtpPolicyPeriod

          public void setOtpPolicyPeriod(int otpPolicyPeriod)

    - #### getBrowserFlow

          public String getBrowserFlow()

    - #### setBrowserFlow

          public void setBrowserFlow(String browserFlow)

    - #### getRegistrationFlow

          public String getRegistrationFlow()

    - #### setRegistrationFlow

          public void setRegistrationFlow(String registrationFlow)

    - #### getDirectGrantFlow

          public String getDirectGrantFlow()

    - #### setDirectGrantFlow

          public void setDirectGrantFlow(String directGrantFlow)

    - #### getResetCredentialsFlow

          public String getResetCredentialsFlow()

    - #### setResetCredentialsFlow

          public void setResetCredentialsFlow(String resetCredentialsFlow)

    - #### getClientAuthenticationFlow

          public String getClientAuthenticationFlow()

    - #### setClientAuthenticationFlow

          public void setClientAuthenticationFlow(String clientAuthenticationFlow)

    - #### getDockerAuthenticationFlow

          public String getDockerAuthenticationFlow()

    - #### setDockerAuthenticationFlow

          public RealmEntity setDockerAuthenticationFlow(String dockerAuthenticationFlow)

    - #### getClientScopes

          public Collection<ClientScopeEntity> getClientScopes()

    - #### setClientScopes

          public void setClientScopes(Collection<ClientScopeEntity> clientScopes)

    - #### setAllowUserManagedAccess

          public void setAllowUserManagedAccess(boolean allowUserManagedAccess)

    - #### isAllowUserManagedAccess

          public boolean isAllowUserManagedAccess()

    - #### getRealmLocalizationTexts

          public Map<String,RealmLocalizationTextsEntity> getRealmLocalizationTexts()

    - #### setRealmLocalizationTexts

          public void setRealmLocalizationTexts(Map<String,RealmLocalizationTextsEntity> realmLocalizationTexts)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.